## WordApi

This is the WordApi API

## getExamples

### URL

`http://api.wordnik.com/v4/word.{format}/{word}/examples`

### HTTP Method

`GET`

### Response Type

ExampleSearchResults

### Parameters

word : string (path)

Word to return examples for

includeDuplicates : string (query)
optional

Show duplicate examples from different sources

useCanonical : string (query)
optional

If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

skip : int (query)
optional

Results to skip

limit : int (query)
optional

Maximum number of results to return

## getWord

### URL

`http://api.wordnik.com/v4/word.{format}/{word}`

### HTTP Method

`GET`

### Response Type

WordObject

### Parameters

word : string (path)

String value of WordObject to return

useCanonical : string (query)
optional

If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

includeSuggestions : string (query)
optional

Return suggestions (for correct spelling, case variants, etc.)

## getDefinitions

### URL

`http://api.wordnik.com/v4/word.{format}/{word}/definitions`

### HTTP Method

`GET`

### Response Type

List[Definition]

### Parameters

word : string (path)

Word to return definitions for

partOfSpeech : string (query)
optional

CSV list of part-of-speech types

sourceDictionaries : string (query)
optional

Source dictionary to return definitions from. If 'all' is received, results are returned from all sources. If multiple values are received (e.g. 'century,wiktionary'), results are returned from the first specified dictionary that has definitions. If left blank, results are returned from the first dictionary that has definitions. By default, dictionaries are searched in this order: ahd, wiktionary, webster, century, wordnet

limit : int (query)
optional

Maximum number of results to return

includeRelated : string (query)
optional

Return related words with definitions

useCanonical : string (query)
optional

If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

includeTags : string (query)
optional

Return a closed set of XML tags in response

## getTopExample

### URL

`http://api.wordnik.com/v4/word.{format}/{word}/topExample`

### HTTP Method

`GET`

### Response Type

Example

### Parameters

word : string (path)

Word to fetch examples for

useCanonical : string (query)
optional

If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

## getRelatedWords

### URL

`http://api.wordnik.com/v4/word.{format}/{word}/relatedWords`

### HTTP Method

`GET`

### Response Type

List[Related]

### Parameters

word : string (path)

Word to fetch relationships for

relationshipTypes : string (query)
optional

Limits the total results per type of relationship type

useCanonical : string (query)
optional

If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

limitPerRelationshipType : int (query)
optional

Restrict to the supplied relatinship types

## getTextPronunciations

### URL

`http://api.wordnik.com/v4/word.{format}/{word}/pronunciations`

### HTTP Method

`GET`

### Response Type

List[TextPron]

### Parameters

word : string (path)

Word to get pronunciations for

sourceDictionary : string (query)
optional

Get from a single dictionary

typeFormat : string (query)
optional

Text pronunciation type

useCanonical : string (query)
optional

If true will try to return a correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

limit : int (query)
optional

Maximum number of results to return

## getHyphenation

### URL

`http://api.wordnik.com/v4/word.{format}/{word}/hyphenation`

### HTTP Method

`GET`

### Response Type

List[Syllable]

### Parameters

word : string (path)

Word to get syllables for

sourceDictionary : string (query)
optional

Get from a single dictionary. Valid options: ahd, century, wiktionary, webster, and wordnet.

useCanonical : string (query)
optional

If true will try to return a correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

limit : int (query)
optional

Maximum number of results to return

## getWordFrequency

### URL

`http://api.wordnik.com/v4/word.{format}/{word}/frequency`

### HTTP Method

`GET`

### Response Type

FrequencySummary

### Parameters

word : string (path)

Word to return

useCanonical : string (query)
optional

If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

startYear : int (query)
optional

Starting Year

endYear : int (query)
optional

Ending Year

## getPhrases

### URL

`http://api.wordnik.com/v4/word.{format}/{word}/phrases`

### HTTP Method

`GET`

### Response Type

List[Bigram]

### Parameters

word : string (path)

Word to fetch phrases for

limit : int (query)
optional

Maximum number of results to return

wlmi : int (query)
optional

Minimum WLMI for the phrase

useCanonical : string (query)
optional

If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

## getEtymologies

### URL

`http://api.wordnik.com/v4/word.{format}/{word}/etymologies`

### HTTP Method

`GET`

### Response Type

List[string]

### Parameters

word : string (path)

Word to return

useCanonical : string (query)
optional

If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.

## getAudio

The metadata includes a time-expiring fileUrl which allows reading the audio file directly from the API. Currently only audio pronunciations from the American Heritage Dictionary in mp3 format are supported.

### URL

`http://api.wordnik.com/v4/word.{format}/{word}/audio`

### HTTP Method

`GET`

### Response Type

List[AudioFile]

### Parameters

word : string (path)

Word to get audio for.

useCanonical : string (query)
optional

Use the canonical form of the word

limit : int (query)
optional

Maximum number of results to return

## getScrabbleScore

### URL

`http://api.wordnik.com/v4/word.{format}/{word}/scrabbleScore`

### HTTP Method

`GET`

### Response Type

ScrabbleScoreResult

### Parameters

word : string (path)

Word to get scrabble score for.